Bug 495178 - N6270 can't be mounted automatically
N6270 can't be mounted automatically
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 01:41 EDT by Luo Bin
Modified: 2015-03-03 17:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:47:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luo Bin 2009-04-10 01:41:54 EDT
Description of problem:
My N6270 cellpone(Nokia) has a cardreader inside ,and could be used as a USB Mass Storage though USB data serial when SD card inserted .
now system can recognize this device ,but can't mount it in Fedora 11 rawhide .
dmesg tells me some infos:

[xelnaga@ASUS6 ~]$ dmesg |tail -n 30
Registered led device: iwl-phy0:RX
Registered led device: iwl-phy0:TX
ADDRCONF(NETDEV_UP): wlan0: link is not ready
IRQ 16/nvidia: IRQF_DISABLED is not guaranteed on shared IRQs
eth0: no IPv6 routers present
fuse init (API version 7.11)
usb 2-1: new full speed USB device using uhci_hcd and address 3
usb 2-1: New USB device found, idVendor=0421, idProduct=043e
usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-1: Product: Nokia 6270
usb 2-1: Manufacturer: Nokia
usb 2-1: SerialNumber: 357579006915807
usb 2-1: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi2 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 3
usb-storage: waiting for device to settle before scanning
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device scan complete
scsi 2:0:0:0: Direct-Access     Nokia    Nokia 6270       0000 PQ: 0 ANSI: 4
sd 2:0:0:0: [sdb] 1950720 512-byte hardware sectors: (998 MB/952 MiB)
sd 2:0:0:0: [sdb] Test WP failed, assume Write Enabled
sd 2:0:0:0: [sdb] Assuming drive cache: write through
sd 2:0:0:0: [sdb] 1950720 512-byte hardware sectors: (998 MB/952 MiB)
sd 2:0:0:0: [sdb] Test WP failed, assume Write Enabled
sd 2:0:0:0: [sdb] Assuming drive cache: write through
 sdb:
sd 2:0:0:0: [sdb] Attached SCSI removable disk
sd 2:0:0:0: Attached scsi generic sg2 type 0
[xelnaga@ASUS6 ~]$



Version-Release number of selected component (if applicable):
gvfs-1.2.1-3.fc11
DeviceKit-disks-004-0.6.20090408git.fc11

How reproducible:
always

Steps to Reproduce:
1.insert decive
2.get dmesg info and couldn't mount on device automatically
  
Actual results:
couldn't mount on device automatically

Expected results:
mount on device automatically

Additional info: none
Comment 1 Luo Bin 2009-04-17 10:08:48 EDT
I update the packages to gvfs-1.2.2-3.fc11 and DeviceKit-disks-004-0.9.20090415git.fc11.
And then some new phenomenons   appear, I can't find the dvice in the Computer(nautilus) after device insert,but it could be found before the updating.
The dmesg ouput also changed: 

[xelnaga@ASUS6 ~]$ dmesg |tail -n 60

usb 2-1: new full speed USB device using uhci_hcd and address 5
usb 2-1: New USB device found, idVendor=0421, idProduct=043e
usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-1: Product: Nokia 6270
usb 2-1: Manufacturer: Nokia
usb 2-1: SerialNumber: 357579006915807
usb 2-1: configuration #1 chosen from 1 choice
scsi3 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 3:0:0:0: Direct-Access     Nokia    Nokia 6270       0000 PQ: 0 ANSI: 4
sd 3:0:0:0: [sdb] 1950720 512-byte hardware sectors: (998 MB/952 MiB)
sd 3:0:0:0: [sdb] Test WP failed, assume Write Enabled
sd 3:0:0:0: [sdb] Assuming drive cache: write through
sd 3:0:0:0: [sdb] 1950720 512-byte hardware sectors: (998 MB/952 MiB)
sd 3:0:0:0: [sdb] Test WP failed, assume Write Enabled
sd 3:0:0:0: [sdb] Assuming drive cache: write through
 sdb:
sd 3:0:0:0: [sdb] Attached SCSI removable disk
sd 3:0:0:0: Attached scsi generic sg2 type 0
online-prefs-sy[3006]: segfault at 0 ip 006288f7 sp bff34b84 error 4 in libglib-2.0.so.0.2000.1[5d0000+de000]
IRQ 16/nvidia: IRQF_DISABLED is not guaranteed on shared IRQs
usb 2-1: USB disconnect, address 5
usb 2-1: new full speed USB device using uhci_hcd and address 6
usb 2-1: New USB device found, idVendor=0421, idProduct=043d
usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 2-1: Product: Nokia 6270
usb 2-1: Manufacturer: Nokia
usb 2-1: configuration #1 chosen from 1 choice
cdc_acm 2-1:1.1: ttyACM0: USB ACM device
usb 2-1: bad CDC descriptors
usb 2-1: bad CDC descriptors
usb 2-1: USB disconnect, address 6
usb 3-1: new full speed USB device using uhci_hcd and address 2
usb 3-1: New USB device found, idVendor=0421, idProduct=043e
usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 3-1: Product: Nokia 6270
usb 3-1: Manufacturer: Nokia
usb 3-1: SerialNumber: 357579006915807
usb 3-1: configuration #1 chosen from 1 choice
scsi4 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 4:0:0:0: Direct-Access     Nokia    Nokia 6270       0000 PQ: 0 ANSI: 4
sd 4:0:0:0: [sdb] 1950720 512-byte hardware sectors: (998 MB/952 MiB)
sd 4:0:0:0: [sdb] Test WP failed, assume Write Enabled
sd 4:0:0:0: [sdb] Assuming drive cache: write through
sd 4:0:0:0: [sdb] 1950720 512-byte hardware sectors: (998 MB/952 MiB)
sd 4:0:0:0: [sdb] Test WP failed, assume Write Enabled
sd 4:0:0:0: [sdb] Assuming drive cache: write through
 sdb:
sd 4:0:0:0: [sdb] Attached SCSI removable disk
sd 4:0:0:0: Attached scsi generic sg2 type 0
Comment 2 Bug Zapper 2009-06-09 09:35:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:36:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:47:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.